# module FileUtils::StreamUtils_

### Private Instance Methods

fu_blksize(st) click to toggle source

    # File lib/fileutils.rb, line 2066
    def fu_blksize(st)
      s = st.blksize
      return nil unless s
      return nil if s == 0
      s
    end

fu_default_blksize() click to toggle source

    # File lib/fileutils.rb, line 2073
    def fu_default_blksize
      1024
    end

fu_stream_blksize(*streams) click to toggle source

    # File lib/fileutils.rb, line 2057
    def fu_stream_blksize(*streams)
      streams.each do |s|
        next unless s.respond_to?(:stat)
        size = fu_blksize(s.stat)
        return size if size
      end
      fu_default_blksize()
    end

fu_windows?() click to toggle source

    # File lib/fileutils.rb, line 2048
    def fu_windows?; true end